> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search financial accounts

> Use this endpoint to filter financial accounts by various parameters.



## OpenAPI

````yaml /openapi/banklinking-20260203.json get /bank-linking/accounts
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/accounts:
    get:
      tags:
        - Accounts
      summary: Search financial accounts
      description: Use this endpoint to filter financial accounts by various parameters.
      operationId: bank-linking-accounts-search
      parameters:
        - name: customerId
          in: query
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity. Should not be provided in
            conjunction with `externalCustomerId`
          required: false
          schema:
            type: string
            default: ''
        - name: externalCustomerId
          in: query
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity. Should not be provided in conjunction with
            `customerId`
          required: false
          schema:
            type: string
            default: ''
        - name: institutionId
          in: query
          description: Institution id
          required: false
          schema:
            type: string
            default: ''
        - name: connectionId
          in: query
          description: Connection id
          required: false
          schema:
            type: string
            default: ''
        - name: before
          in: query
          description: >-
            Unique key corresponding to a financial account's position in the
            paginated list of results -- used to indicate that only financial
            accounts residing before this key will be retrieved.


            Each financial account carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: after
          in: query
          description: >-
            Unique key corresponding to a financial account's position in the
            paginated list of results -- used to indicate that only financial
            accounts residing after this key will be retrieved.


            Each financial account carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: limit
          in: query
          description: |-
            Limits number of returned financial accounts.

            *Default value*: 10

            *Minimum value*: 1

            *Maximum value*: 100
          required: false
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Financial accounts are returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/FinancialAccountPage_2022_09_21'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinancialAccountPage_2022_09_21:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Number of financial accounts returned.
        financialAccounts:
          type: array
          description: Financial accounts
          items:
            $ref: '#/components/schemas/FinancialAccount_2022_09_21'
        remaining:
          type: integer
          format: int32
          description: >-
            Number of remaining financial accounts before/after this page,
            depending on the direction this page was selected.
    FinancialAccount_2022_09_21:
      type: object
      properties:
        accountId:
          type: string
          description: >-
            The unique identifier of your account with Meld. This id will be the
            same for all calls to Meld endpoints made from this account.
        balances:
          description: Financial account balance
          allOf:
            - $ref: '#/components/schemas/FinancialAccountBalances'
        connectionIds:
          type: array
          description: Ids of connections used to load data for this financial account
          items:
            type: string
        customerId:
          type: string
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity.
        externalCustomerId:
          type: string
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity.
        historicalAggregationSucceeded:
          type: boolean
          description: >-
            Whether historical aggregation has succeeded for this financial
            account.
        id:
          type: string
          description: The id of the financial account
        identifiers:
          description: Identifiers for the financial account
          allOf:
            - $ref: '#/components/schemas/FinancialAccountIdentifiers_2022_09_21'
        institutionId:
          type: string
          description: Institution id
        institutionName:
          type: string
          description: Institution name
        key:
          type: string
          description: >-
            When this financial account is part of a paginated list, this key
            represents its position in the list
        name:
          type: string
          description: The name of the financial account as provided by the institution
        owners:
          type: array
          description: Owners of the financial account
          items:
            $ref: '#/components/schemas/FinancialAccountOwner'
        serviceProviderDetails:
          type: array
          description: >-
            Raw service provider details for the service provider account(s)
            associated with this Financial Account. The raw format varies by
            service provider, but each result will always contain a
            serviceProvider field and an updatedAt field. Results are ordered by
            updatedAt, with the most recent result at the start of the list, and
            the oldest at the bottom.
          items:
            type: object
            additionalProperties: {}
        status:
          type: string
          description: Status of the financial account
          enum:
            - ACTIVE
            - INACTIVE
        subtype:
          type: string
          description: >-
            Subtype of the financial account. Possible subtypes can be found at
            [Account Types and
            Subtypes](https://docs.meld.io/docs/financial-account-details#account-types-and-subtypes)
          enum:
            - OTHER
            - HSA
            - SAVINGS
            - AUTO
            - CREDIT_CARD
            - CASH_MANAGEMENT
            - CD
            - CHECKING
            - EBT
            - MONEY_MARKET
            - PREPAID
            - HEALTH
            - LIFE
            - BROKERAGE
            - BROKERAGE_MARGIN
            - CASH_ISA
            - CHARITABLE_GIFT_ACCOUNT
            - CHURCH_ACCOUNT
            - CONSERVATORSHIP
            - CRYPTO
            - CUSTODIAL_ACCOUNT
            - DEFINED_BENEFIT_PLAN
            - DEFINED_CONTRIBUTION_PLAN
            - EDUCATION_SAVINGS
            - EDUCATIONAL
            - ESOP
            - ESPP
            - ESTATE
            - EXECUTOR
            - FIXED_ANNUITY
            - GIC
            - GRSP
            - HRA
            - INDEXED_ANNUITY
            - INDIVIDUAL
            - INVESTMENT_CLUB
            - IRA
            - IRREVOCABLE_TRUST
            - ISA
            - JOINT_TENANTS_COMMUNITY_PROPERTY
            - JTIC
            - JOINT_TENANTS_TENANTS_BY_ENTIRETY
            - JTWROS
            - KEOGH
            - LIF
            - LIRA
            - LIVING_TRUST
            - LRSP
            - MONEY_PURCHASE_PLAN
            - MUTUAL_FUND
            - OTHER_ANNUITY
            - OTHER_TRUST
            - PARTNERSHIP
            - PENSION
            - PLAN_401A
            - PLAN_401K
            - PLAN_403B
            - PLAN_409A
            - PLAN_457B
            - PLAN_529
            - PRIF
            - PROFIT_SHARING_PLAN
            - RESP
            - RETIREMENT
            - REVOCABLE_TRUST
            - ROLLOVER
            - ROTH
            - ROTH_401K
            - ROTH_403B
            - ROTH_CONVERSION
            - RPP
            - RRIF
            - RRSP
            - RDSP
            - SARSEP
            - SEP_IRA
            - SIMPLE_IRA
            - SIPP
            - SOLE_PROPRIETORSHIP
            - SPOUSAL_IRA
            - SPOUSAL_ROTH_IRA
            - STOCK_PLAN
            - TAXABLE
            - TDA
            - TESTAMENTARY_TRUST
            - THRIFT_SAVINGS_PLAN
            - TRUST
            - TFSA
            - UGMA
            - UTMA
            - VARIABLE_ANNUITY
            - BUSINESS
            - CONSUMER
            - HELOC
            - LINE_OF_CREDIT
            - MILITARY
            - MORTGAGE
            - STUDENT
            - UNIDENTIFIED
        truncatedAccountNumber:
          type: string
          description: The ast 4 digits of the account number
        type:
          type: string
          description: >-
            Type of the financial account. Possible types can be found at
            [Account Types and
            Subtypes](https://docs.meld.io/docs/financial-account-details#account-types-and-subtypes)
          enum:
            - CREDIT
            - DEPOSITORY
            - INSURANCE
            - INVESTMENT
            - LOAN
            - OTHER
            - UNIDENTIFIED
    FinancialAccountBalances:
      type: object
      properties:
        availableAmount:
          type: number
          description: >-
            The amount available to be withdrawn from the financial account as
            determined by the institution
        currency:
          type: string
          description: The ISO-4217 currency code
        currentAmount:
          type: number
          description: The current amount in the financial account
        updatedAt:
          type: string
          format: date-time
          description: The last time balances were updated for this financial account
    FinancialAccountIdentifiers_2022_09_21:
      type: object
      properties:
        ach:
          description: ACH details for the financial account
          allOf:
            - $ref: '#/components/schemas/Ach'
        bacs:
          description: BACS details for the financial account
          allOf:
            - $ref: '#/components/schemas/Bacs'
        eft:
          description: EFT details for the financial account
          allOf:
            - $ref: '#/components/schemas/Eft'
        international:
          description: International details for the financial account
          allOf:
            - $ref: '#/components/schemas/International'
    FinancialAccountOwner:
      type: object
      properties:
        addresses:
          type: array
          description: The address(es) associated with this owner
          items:
            $ref: '#/components/schemas/Address'
        emails:
          type: array
          description: The email(s) associated with this owner
          items:
            $ref: '#/components/schemas/Email'
        names:
          type: array
          description: The name(s) of this owner
          items:
            type: string
        phoneNumbers:
          type: array
          description: The phone number(s) associated with this owner
          items:
            $ref: '#/components/schemas/PhoneNumber'
    Ach:
      type: object
      properties:
        accountNumber:
          type: string
          description: The ACH account number for the financial account
          minLength: 1
        routingNumber:
          type: string
          description: The ACH routing number for the financial account
          minLength: 1
      required:
        - accountNumber
        - routingNumber
    Bacs:
      type: object
      properties:
        accountNumber:
          type: string
          description: The BACS account number for the financial account
          minLength: 1
        sortCode:
          type: string
          description: The BACS sort code for the financial account
      required:
        - accountNumber
    Eft:
      type: object
      properties:
        accountNumber:
          type: string
          description: The EFT account number for the financial account
          minLength: 1
        branchNumber:
          type: string
          description: The EFT branch number for the financial account
        institutionNumber:
          type: string
          description: The EFT institution number for the financial account
          minLength: 1
      required:
        - accountNumber
        - institutionNumber
    International:
      type: object
      properties:
        accountName:
          type: string
          description: The Account Name for the financial account
        accountNumber:
          type: string
          description: The Account Number for the financial account
        bban:
          type: string
          description: The Basic Bank Account Number (BBAN) for the financial account
        bic:
          type: string
          description: The Bank Identifier Code (BIC) for the financial account
        iban:
          type: string
          description: >-
            The International Bank Account Number (IBAN) for the financial
            account
        sortCode:
          type: string
          description: The Sort Code for the financial account
    Address:
      type: object
      properties:
        data:
          description: The details of this address
          allOf:
            - $ref: '#/components/schemas/AddressData'
        primary:
          type: string
          description: Identifies whether this address is the primary address for the owner
          enum:
            - UNKNOWN
            - 'TRUE'
            - 'FALSE'
    Email:
      type: object
      properties:
        data:
          type: string
          description: The email for this owner
        primary:
          type: string
          description: Identifies whether this email is the primary email for the owner
          enum:
            - UNKNOWN
            - 'TRUE'
            - 'FALSE'
    PhoneNumber:
      type: object
      properties:
        data:
          type: string
          description: The phone number for this owner
        primary:
          type: string
          description: >-
            Identifies whether this phone number is the primary phone number for
            the owner
          enum:
            - UNKNOWN
            - 'TRUE'
            - 'FALSE'
    AddressData:
      type: object
      properties:
        city:
          type: string
          description: The city
        country:
          type: string
          description: The ISO 3166-1 alpha-2 country code
        full:
          type: string
          description: >-
            The full address string. Present for service providers that do not
            parse the address into parts.
        postalCode:
          type: string
          description: The postal/zip code
        region:
          type: string
          description: The region/state
        street:
          type: string
          description: >-
            The street and residence number. Includes the unit number if
            applicable
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````